import request from '@/utils/request'

// Register
export function getAccountList(data) {
  return request({
    url: '/getAccountList',
    method: 'post',
    data
  })
}

// getCash
export function getCash(data) {
  return request({
    url: '/getCash',
    method: 'post',
    data
  })
}

// 提款
export function withdrawCash(data) {
  return request({
    url: '/withdrawCash',
    method: 'post',
    data
  })
}

// 获取取款参数
export function getWithdrawParams(data) {
  return request({
    url: '/getWithdrawParams',
    method: 'post',
    data
  })
}


// 获取取款参数
export function getCashChannelList(data) {
  return request({
    url: '/getCashChannelList',
    method: 'post',
    data
  })
}

// 存款
export function depositCash(data) {
  return request({
    url: '/depositCash',
    method: 'post',
    data
  })
}

// 存款
export function submitDepositVoucher(data) {
  return request({
    url: '/submitDepositVoucher',
    method: 'post',
    data
  })
}

// 存款
export function getPayRecordList(data) {
  return request({
    url: '/getPayRecordList',
    method: 'post',
    data
  })
}

// 资金账号转交易帐号
export function cashToTransaction(data) {
  return request({
    url: '/cashToTransaction',
    method: 'post',
    data
  })
}

// 交易账户转资金账号
export function transactionToCash(data) {
  return request({
    url: '/transactionToCash',
    method: 'post',
    data
  })
}

// 交易账户转资金账号
export function userExchange(data) {
  return request({
    url: '/userExchange',
    method: 'post',
    data
  })
}

// getCashAddressList
export function getCashAddressList(data) {
  return request({
    url: '/getCashAddressList',
    method: 'post',
    data
  })
}

// 
export function getParams(data) {
  return request({
    url: '/getParams',
    method: 'post',
    data
  })
}

// 
export function getCashChainList(data) {
  return request({
    url: '/Public/getCashChainList',
    method: 'post',
    data
  })
}

export function getUserDayBalanceList(data) {
  return request({
    url: '/getUserDayBalanceList',
    method: 'post',
    data
  })
}

export function getTradesServerList(data) {
  return request({
    url: '/Public/getTradesServerList',
    method: 'post',
    data
  })
}